Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.el.parser
Class AstFunction

    java.lang.Object
      com.sun.el.lang.ELSupport
          com.sun.el.parser.SimpleNode
              com.sun.el.parser.AstFunction

All Implemented Interfaces:
  Node

    public final class AstFunction

extends SimpleNode

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary
`protected String` | `localName`
`protected String` | `prefix`

Fields inherited from class com.sun.el.parser.SimpleNode
`children, id, image, parent`

Constructor Summary
`AstFunction(int id)`

Method Summary
`String` | `getLocalName()`
`String` | `getOutputName()`
`String` | `getPrefix()`
`Class` | `getType(EvaluationContext ctx)`
`Object` | `getValue(EvaluationContext ctx)`
`void` | `setLocalName(String localName)`
`void` | `setPrefix(String prefix)`
`String` | `toString()`

Methods inherited from class com.sun.el.parser.SimpleNode
`accept, dump, equals, getImage, getMethodInfo, hashCode, invoke, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString`

Methods inherited from class com.sun.el.lang.ELSupport
`coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, containsNulls, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isDoubleStringOp, isLongOp, isStringFloat, throwUnhandled, toFloat, toNumber`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### localName

    protected String localName

### prefix

    protected String prefix

Constructor Detail

### AstFunction

    public AstFunction(int id)

Method Detail

### getLocalName

    public String getLocalName()

### getOutputName

    public String getOutputName()

### getPrefix

    public String getPrefix()

### getType

    public Class getType(EvaluationContext ctx)
                  throws ELException

  Specified by:
    `getType` in interface `Node`
  Overrides:
    `getType` in class `SimpleNode`
  Throws:
    `ELException`

### getValue

    public Object getValue(EvaluationContext ctx)
                    throws ELException

  Specified by:
    `getValue` in interface `Node`
  Overrides:
    `getValue` in class `SimpleNode`
  Throws:
    `ELException`

### setLocalName

    public void setLocalName(String localName)

### setPrefix

    public void setPrefix(String prefix)

### toString

    public String toString()

  Overrides:
    `toString` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.